Bug 316131 - emacs: use xdg-open for opening URLs by default
emacs: use xdg-open for opening URLs by default
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
: Reopened
: 520966 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 17:00 EDT by Ville Skyttä
Modified: 2009-09-24 06:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-24 06:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a patch (1.92 KB, patch)
2009-09-23 11:04 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-10-02 17:00:30 EDT
Emacs should use xdg-open for opening URLs by default, so that it'd invoke the
browser the user has configured in her GNOME/KDE/XFCE settings.

Perhaps the patch where I added this support to XEmacs is useful as a starting
Comment 1 Chip Coldwell 2007-10-03 09:25:55 EDT
Shouldn't this really go upstream first?

Comment 2 Ville Skyttä 2007-10-03 11:43:59 EDT
Would be better that way indeed, but I'm afraid it'll be a change for which the
FSF will require signing papers before they accept it.  I've tried to go through
that process once, with not-so-positive results and I'm not inclined to try
again for a change this small.
Comment 3 Bug Zapper 2008-04-04 09:58:38 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-13 23:19:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Debarshi Ray 2008-11-07 14:31:13 EST

We were informed [1] that Chip has given up ownership of this package.

Comment 6 Ville Skyttä 2008-11-08 15:12:32 EST
Pong?  Not sure who you're pinging here...
Comment 7 Debarshi Ray 2008-11-08 15:20:10 EST
(In reply to comment #6)

> Pong?  Not sure who you're pinging here...

Just wanted to know what the current status is and whether Chip took it up upstream or not. Of course I can look in their source tree and list archives.
Comment 9 Bug Zapper 2009-06-09 18:54:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-07-14 11:16:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Robin Green 2009-09-09 11:47:01 EDT
I can reproduce this against rawhide. Please reopen this bug.
Comment 12 Daniel Novotny 2009-09-23 11:04:04 EDT
Created attachment 362315 [details]
a patch

can be ported from xemacs without a problem
Comment 13 Daniel Novotny 2009-09-23 11:05:45 EDT
*** Bug 520966 has been marked as a duplicate of this bug. ***
Comment 14 Daniel Novotny 2009-09-24 06:14:04 EDT
added in emacs-23.1-9.fc12

Note You need to log in before you can comment on or make changes to this bug.